## javax.servlet.descriptor
Interface JspConfigDescriptor

    public interface JspConfigDescriptor

This interface provides access to the `<jsp-config>` related configuration of a web application.

The configuration is aggregated from the `web.xml` and `web-fragment.xml` descriptor files of the web application.

Since:
  Servlet 3.0

Method Summary
`Collection<JspPropertyGroupDescriptor>` `getJspPropertyGroups()` Gets the `<jsp-property-group>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`.
`Collection<TaglibDescriptor>` `getTaglibs()` Gets the `<taglib>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`.

Method Detail

### getTaglibs

    Collection<TaglibDescriptor> getTaglibs()

  Gets the `<taglib>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`.

  Any changes to the returned `Collection` must not affect this `JspConfigDescriptor`.

  Returns:
    a (possibly empty) `Collection` of the `<taglib<>/code> child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor``

### getJspPropertyGroups

    Collection<JspPropertyGroupDescriptor> getJspPropertyGroups()

  Gets the `<jsp-property-group>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`.

  Any changes to the returned `Collection` must not affect this `JspConfigDescriptor`.

  Returns:
    a (possibly empty) `Collection` of the `<jsp-property-group>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`

Copyright © 2012 GlassFish Community. All Rights Reserved.